## messagelib 25.04.0

=== debian/changelog ===
messagelib (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 20:04:23 +0100

messagelib (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 14:15:32 -0500

=== debian/control ===
Source: messagelib
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               git,
               libakonadi-dev (>= 4:25.04.0~),
               libakonadicontact-dev (>= 4:25.04.0~),
               libakonadimime-dev (>= 4:25.04.0~),
               libakonadisearch-dev (>= 4:25.04.0~),
               libgpgme-dev (>= 1.21.0~),
               libgpgmepp-dev (>= 1.23.2~),
               libgrantleetheme-dev (>= 25.04.0~),
               libgravatar-dev (>= 4:25.04.0~),
               libkdepim-dev (>= 4:25.04.0~),
               libkf6archive-dev (>= 6.6.0~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6codecs-dev (>= 6.6.0~),
               libkf6colorscheme-dev (>= 6.6.0~),
               libkf6completion-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6guiaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6itemviews-dev (>= 6.6.0~),
               libkf6jobwidgets-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6newstuff-dev (>= 6.6.0~),
               libkf6notifications-dev (>= 6.6.0~),
               libkf6service-dev (>= 6.6.0~),
               libkf6sonnet-dev (>= 6.6.0~),
               libkf6syntaxhighlighting-dev (>= 6.6.0~),
               libkf6texttemplate-dev (>= 6.3.0~),
               libkf6textwidgets-dev (>= 6.6.0~),
               libkf6widgetsaddons-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 25.04.0~),
               libkleo-dev (>= 4:25.04.0~),
               libkmailtransport-dev (>= 25.04.0~),
               libkmbox-dev (>= 25.04.0~),
               libkmime-dev (>= 25.04.0~),
               libkpimtextedit-dev (>= 25.04.0~),
               libktextaddons-dev (>= 1.5.4~),
               libpimcommon-dev (>= 4:25.04.0~),
               libqca-qt6-dev (>= 2.3.7~),
               libqgpgmeqt6-dev (>= 1.23.2~),
               libssl-dev (>= 3.0.0~),
               qt6-base-dev (>= 6.7.0~),
               qt6-webengine-dev (>= 6.7.0~),
               xauth,
               xvfb,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/messagelib
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/messagelib
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/messagelib
Rules-Requires-Root: no

Package: messagelib-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: kf5-messagelib-data,
Replaces: kf5-messagelib-data,
Description: KDE PIM messaging library - data files
 This package contains the data files shipped with the message libraries.
 .
 This package is part of KDE PIM module.

Package: messagelib-dev
Section: libdevel
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libakonadi-dev (>= 4:25.04.0~),
         libakonadimime-dev (>= 4:25.04.0~),
         libkf6contacts-dev (>= 6.6.0~),
         libkf6service-dev (>= 6.6.0~),
         libkidentitymanagement-dev (>= 25.04.0~),
         libkleo-dev (>= 4:25.04.0~),
         libkmime-dev (>= 25.04.0~),
         libkpim6messagecomposer6 (= ${binary:Version}),
         libkpim6messagecore6 (= ${binary:Version}),
         libkpim6messagelist6 (= ${binary:Version}),
         libkpim6messageviewer6 (= ${binary:Version}),
         libkpim6mimetreeparser6 (= ${binary:Version}),
         libkpim6templateparser6 (= ${binary:Version}),
         libkpim6webengineviewer6 (= ${binary:Version}),
         libktextaddons-dev (>= 1.5.4~),
         libpimcommon-dev (>= 4:25.04.0~),
         qt6-webengine-dev (>= 6.7.0~),
         ${misc:Depends},
Description: KDE PIM messaging library - development files
 This package contains the development files for the KDE PIM messaging library.
 It provides basic e-mail message composing facilities, message handling,
 widgets, a mimetreeparser, a template parser and more.
 .
 This package is part of KDE PIM module.

Package: libkpim6messagecomposer6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM messaging library, composer library
 This package contains the message composer library. It provides basic e-mail
 message composing facilities.
 .
 This package is part of KDE PIM module.

Package: libkpim6messagecore6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM messaging library, core library
 This package contains the message core library. It provides basic e-mail
 message handling facilities.
 .
 This package is part the KDE PIM module.

Package: libkpim6messagelist6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM messaging library, message list library
 This package contains the message list library. It provides a widget for the
 e-mail message lists with extensive filtering, grouping and useful features.
 .
 This package is part of the KDE PIM module.

Package: libkpim6messageviewer6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM messaging library, message viewer library
 This package contains the message viewer library which implements feature-rich
 and highly configurable widget for viewing e-mail messages.
 .
 This package is part of the KDE PIM module.

Package: libkpim6mimetreeparser6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM Mime Tree parser library
 This library implements a parser for the mime tree used by KMail.
 .
 This package is part of the KDE PIM module.
 This package contains the development files for the mime tree parser library.

Package: libkpim6templateparser6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KMail template parser library
 This library implements a parser for the mail templates which KMail uses to
 enable customization of initial structure for the new, reply or forwarded
 messages.
 .
 This package is part of the KDE PIM module.

Package: libkpim6webengineviewer6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Depends: messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: KDE's Qt WebEngine Viewer
 This library implements view on Qt WebEngine used by KDE PIM.
 .
 This package is part of the KDE PIM module.

## messagelib 25.04.1

=== debian/changelog ===
messagelib (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:18:37 +0100

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,15 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                git,
-               libakonadi-dev (>= 4:25.04.0~),
-               libakonadicontact-dev (>= 4:25.04.0~),
-               libakonadimime-dev (>= 4:25.04.0~),
-               libakonadisearch-dev (>= 4:25.04.0~),
+               libakonadi-dev (>= 4:25.04.1~),
+               libakonadicontact-dev (>= 4:25.04.1~),
+               libakonadimime-dev (>= 4:25.04.1~),
+               libakonadisearch-dev (>= 4:25.04.1~),
                libgpgme-dev (>= 1.21.0~),
                libgpgmepp-dev (>= 1.23.2~),
-               libgrantleetheme-dev (>= 25.04.0~),
-               libgravatar-dev (>= 4:25.04.0~),
-               libkdepim-dev (>= 4:25.04.0~),
+               libgrantleetheme-dev (>= 25.04.1~),
+               libgravatar-dev (>= 4:25.04.1~),
+               libkdepim-dev (>= 4:25.04.1~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
@@ -41,14 +41,14 @@
                libkf6textwidgets-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.04.0~),
-               libkleo-dev (>= 4:25.04.0~),
-               libkmailtransport-dev (>= 25.04.0~),
-               libkmbox-dev (>= 25.04.0~),
-               libkmime-dev (>= 25.04.0~),
-               libkpimtextedit-dev (>= 25.04.0~),
+               libkidentitymanagement-dev (>= 25.04.1~),
+               libkleo-dev (>= 4:25.04.1~),
+               libkmailtransport-dev (>= 25.04.1~),
+               libkmbox-dev (>= 25.04.1~),
+               libkmime-dev (>= 25.04.1~),
+               libkpimtextedit-dev (>= 25.04.1~),
                libktextaddons-dev (>= 1.5.4~),
-               libpimcommon-dev (>= 4:25.04.0~),
+               libpimcommon-dev (>= 4:25.04.1~),
                libqca-qt6-dev (>= 2.3.7~),
                libqgpgmeqt6-dev (>= 1.23.2~),
                libssl-dev (>= 3.0.0~),
@@ -77,13 +77,13 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:25.04.0~),
-         libakonadimime-dev (>= 4:25.04.0~),
+Depends: libakonadi-dev (>= 4:25.04.1~),
+         libakonadimime-dev (>= 4:25.04.1~),
          libkf6contacts-dev (>= 6.6.0~),
          libkf6service-dev (>= 6.6.0~),
-         libkidentitymanagement-dev (>= 25.04.0~),
-         libkleo-dev (>= 4:25.04.0~),
-         libkmime-dev (>= 25.04.0~),
+         libkidentitymanagement-dev (>= 25.04.1~),
+         libkleo-dev (>= 4:25.04.1~),
+         libkmime-dev (>= 25.04.1~),
          libkpim6messagecomposer6 (= ${binary:Version}),
          libkpim6messagecore6 (= ${binary:Version}),
          libkpim6messagelist6 (= ${binary:Version}),
@@ -92,7 +92,7 @@
          libkpim6templateparser6 (= ${binary:Version}),
          libkpim6webengineviewer6 (= ${binary:Version}),
          libktextaddons-dev (>= 1.5.4~),
-         libpimcommon-dev (>= 4:25.04.0~),
+         libpimcommon-dev (>= 4:25.04.1~),
          qt6-webengine-dev (>= 6.7.0~),
          ${misc:Depends},
 Description: KDE PIM messaging library - development files

## messagelib 25.04.3

=== debian/changelog ===
messagelib (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:56:42 +0100

messagelib (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 12:01:59 +0100

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,15 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                git,
-               libakonadi-dev (>= 4:25.04.1~),
-               libakonadicontact-dev (>= 4:25.04.1~),
-               libakonadimime-dev (>= 4:25.04.1~),
-               libakonadisearch-dev (>= 4:25.04.1~),
+               libakonadi-dev (>= 4:25.04.3~),
+               libakonadicontact-dev (>= 4:25.04.3~),
+               libakonadimime-dev (>= 4:25.04.3~),
+               libakonadisearch-dev (>= 4:25.04.3~),
                libgpgme-dev (>= 1.21.0~),
                libgpgmepp-dev (>= 1.23.2~),
-               libgrantleetheme-dev (>= 25.04.1~),
-               libgravatar-dev (>= 4:25.04.1~),
-               libkdepim-dev (>= 4:25.04.1~),
+               libgrantleetheme-dev (>= 25.04.3~),
+               libgravatar-dev (>= 4:25.04.3~),
+               libkdepim-dev (>= 4:25.04.3~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
@@ -41,14 +41,14 @@
                libkf6textwidgets-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.04.1~),
-               libkleo-dev (>= 4:25.04.1~),
-               libkmailtransport-dev (>= 25.04.1~),
-               libkmbox-dev (>= 25.04.1~),
-               libkmime-dev (>= 25.04.1~),
-               libkpimtextedit-dev (>= 25.04.1~),
+               libkidentitymanagement-dev (>= 25.04.3~),
+               libkleo-dev (>= 4:25.04.3~),
+               libkmailtransport-dev (>= 25.04.3~),
+               libkmbox-dev (>= 25.04.3~),
+               libkmime-dev (>= 25.04.3~),
+               libkpimtextedit-dev (>= 25.04.3~),
                libktextaddons-dev (>= 1.5.4~),
-               libpimcommon-dev (>= 4:25.04.1~),
+               libpimcommon-dev (>= 4:25.04.3~),
                libqca-qt6-dev (>= 2.3.7~),
                libqgpgmeqt6-dev (>= 1.23.2~),
                libssl-dev (>= 3.0.0~),
@@ -77,13 +77,13 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:25.04.1~),
-         libakonadimime-dev (>= 4:25.04.1~),
+Depends: libakonadi-dev (>= 4:25.04.3~),
+         libakonadimime-dev (>= 4:25.04.3~),
          libkf6contacts-dev (>= 6.6.0~),
          libkf6service-dev (>= 6.6.0~),
-         libkidentitymanagement-dev (>= 25.04.1~),
-         libkleo-dev (>= 4:25.04.1~),
-         libkmime-dev (>= 25.04.1~),
+         libkidentitymanagement-dev (>= 25.04.3~),
+         libkleo-dev (>= 4:25.04.3~),
+         libkmime-dev (>= 25.04.3~),
          libkpim6messagecomposer6 (= ${binary:Version}),
          libkpim6messagecore6 (= ${binary:Version}),
          libkpim6messagelist6 (= ${binary:Version}),
@@ -92,7 +92,7 @@
          libkpim6templateparser6 (= ${binary:Version}),
          libkpim6webengineviewer6 (= ${binary:Version}),
          libktextaddons-dev (>= 1.5.4~),
-         libpimcommon-dev (>= 4:25.04.1~),
+         libpimcommon-dev (>= 4:25.04.3~),
          qt6-webengine-dev (>= 6.7.0~),
          ${misc:Depends},
 Description: KDE PIM messaging library - development files

## messagelib 25.07.80

=== debian/changelog ===
messagelib (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:45:29 +0100

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,15 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                git,
-               libakonadi-dev (>= 4:25.04.3~),
-               libakonadicontact-dev (>= 4:25.04.3~),
-               libakonadimime-dev (>= 4:25.04.3~),
-               libakonadisearch-dev (>= 4:25.04.3~),
+               libakonadi-dev (>= 4:25.07.80~),
+               libakonadicontact-dev (>= 4:25.07.80~),
+               libakonadimime-dev (>= 4:25.07.80~),
+               libakonadisearch-dev (>= 4:25.07.80~),
                libgpgme-dev (>= 1.21.0~),
                libgpgmepp-dev (>= 1.23.2~),
-               libgrantleetheme-dev (>= 25.04.3~),
-               libgravatar-dev (>= 4:25.04.3~),
-               libkdepim-dev (>= 4:25.04.3~),
+               libgrantleetheme-dev (>= 25.07.80~),
+               libgravatar-dev (>= 4:25.07.80~),
+               libkdepim-dev (>= 4:25.07.80~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
@@ -41,14 +41,14 @@
                libkf6textwidgets-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.04.3~),
-               libkleo-dev (>= 4:25.04.3~),
-               libkmailtransport-dev (>= 25.04.3~),
-               libkmbox-dev (>= 25.04.3~),
-               libkmime-dev (>= 25.04.3~),
-               libkpimtextedit-dev (>= 25.04.3~),
+               libkidentitymanagement-dev (>= 25.07.80~),
+               libkleo-dev (>= 4:25.07.80~),
+               libkmailtransport-dev (>= 25.07.80~),
+               libkmbox-dev (>= 25.07.80~),
+               libkmime-dev (>= 25.07.80~),
+               libkpimtextedit-dev (>= 25.07.80~),
                libktextaddons-dev (>= 1.5.4~),
-               libpimcommon-dev (>= 4:25.04.3~),
+               libpimcommon-dev (>= 4:25.07.80~),
                libqca-qt6-dev (>= 2.3.7~),
                libqgpgmeqt6-dev (>= 1.23.2~),
                libssl-dev (>= 3.0.0~),
@@ -77,13 +77,13 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:25.04.3~),
-         libakonadimime-dev (>= 4:25.04.3~),
+Depends: libakonadi-dev (>= 4:25.07.80~),
+         libakonadimime-dev (>= 4:25.07.80~),
          libkf6contacts-dev (>= 6.6.0~),
          libkf6service-dev (>= 6.6.0~),
-         libkidentitymanagement-dev (>= 25.04.3~),
-         libkleo-dev (>= 4:25.04.3~),
-         libkmime-dev (>= 25.04.3~),
+         libkidentitymanagement-dev (>= 25.07.80~),
+         libkleo-dev (>= 4:25.07.80~),
+         libkmime-dev (>= 25.07.80~),
          libkpim6messagecomposer6 (= ${binary:Version}),
          libkpim6messagecore6 (= ${binary:Version}),
          libkpim6messagelist6 (= ${binary:Version}),
@@ -92,7 +92,7 @@
          libkpim6templateparser6 (= ${binary:Version}),
          libkpim6webengineviewer6 (= ${binary:Version}),
          libktextaddons-dev (>= 1.5.4~),
-         libpimcommon-dev (>= 4:25.04.3~),
+         libpimcommon-dev (>= 4:25.07.80~),
          qt6-webengine-dev (>= 6.7.0~),
          ${misc:Depends},
 Description: KDE PIM messaging library - development files

## messagelib 25.07.90

=== debian/changelog ===
messagelib (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 18:01:45 +0100

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,15 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                git,
-               libakonadi-dev (>= 4:25.07.80~),
-               libakonadicontact-dev (>= 4:25.07.80~),
-               libakonadimime-dev (>= 4:25.07.80~),
-               libakonadisearch-dev (>= 4:25.07.80~),
+               libakonadi-dev (>= 4:25.07.90~),
+               libakonadicontact-dev (>= 4:25.07.90~),
+               libakonadimime-dev (>= 4:25.07.90~),
+               libakonadisearch-dev (>= 4:25.07.90~),
                libgpgme-dev (>= 1.21.0~),
                libgpgmepp-dev (>= 1.23.2~),
-               libgrantleetheme-dev (>= 25.07.80~),
-               libgravatar-dev (>= 4:25.07.80~),
-               libkdepim-dev (>= 4:25.07.80~),
+               libgrantleetheme-dev (>= 25.07.90~),
+               libgravatar-dev (>= 4:25.07.90~),
+               libkdepim-dev (>= 4:25.07.90~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
@@ -41,14 +41,14 @@
                libkf6textwidgets-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.07.80~),
-               libkleo-dev (>= 4:25.07.80~),
-               libkmailtransport-dev (>= 25.07.80~),
-               libkmbox-dev (>= 25.07.80~),
-               libkmime-dev (>= 25.07.80~),
-               libkpimtextedit-dev (>= 25.07.80~),
+               libkidentitymanagement-dev (>= 25.07.90~),
+               libkleo-dev (>= 4:25.07.90~),
+               libkmailtransport-dev (>= 25.07.90~),
+               libkmbox-dev (>= 25.07.90~),
+               libkmime-dev (>= 25.07.90~),
+               libkpimtextedit-dev (>= 25.07.90~),
                libktextaddons-dev (>= 1.5.4~),
-               libpimcommon-dev (>= 4:25.07.80~),
+               libpimcommon-dev (>= 4:25.07.90~),
                libqca-qt6-dev (>= 2.3.7~),
                libqgpgmeqt6-dev (>= 1.23.2~),
                libssl-dev (>= 3.0.0~),
@@ -77,13 +77,13 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:25.07.80~),
-         libakonadimime-dev (>= 4:25.07.80~),
+Depends: libakonadi-dev (>= 4:25.07.90~),
+         libakonadimime-dev (>= 4:25.07.90~),
          libkf6contacts-dev (>= 6.6.0~),
          libkf6service-dev (>= 6.6.0~),
-         libkidentitymanagement-dev (>= 25.07.80~),
-         libkleo-dev (>= 4:25.07.80~),
-         libkmime-dev (>= 25.07.80~),
+         libkidentitymanagement-dev (>= 25.07.90~),
+         libkleo-dev (>= 4:25.07.90~),
+         libkmime-dev (>= 25.07.90~),
          libkpim6messagecomposer6 (= ${binary:Version}),
          libkpim6messagecore6 (= ${binary:Version}),
          libkpim6messagelist6 (= ${binary:Version}),
@@ -92,7 +92,7 @@
          libkpim6templateparser6 (= ${binary:Version}),
          libkpim6webengineviewer6 (= ${binary:Version}),
          libktextaddons-dev (>= 1.5.4~),
-         libpimcommon-dev (>= 4:25.07.80~),
+         libpimcommon-dev (>= 4:25.07.90~),
          qt6-webengine-dev (>= 6.7.0~),
          ${misc:Depends},
 Description: KDE PIM messaging library - development files

## messagelib 25.08.0

=== CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.0")
set(CMAKE_CXX_STANDARD 20)

project(Messagelib VERSION ${PIM_VERSION})

option(KDEPIM_ENTERPRISE_BUILD "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client." FALSE)

set(KF_MIN_VERSION "6.14.0")
set(QT_REQUIRED_VERSION "6.8.0")

set(MESSAGELIB_LIB_VERSION ${PIM_VERSION})
set(AKONADIMIME_LIB_VERSION "6.5.0")

set(AKONADICONTACT_LIB_VERSION "6.5.0")
set(AKONADI_VERSION "6.5.0")
set(GRANTLEETHEME_LIB_VERSION "6.5.0")
set(GRAVATAR_LIB_VERSION "6.5.0")
set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.0")
set(KMAILTRANSPORT_LIB_VERSION "6.5.0")
set(KMBOX_LIB_VERSION "6.5.0")
set(KMIME_LIB_VERSION "6.5.0")
set(KPIMTEXTEDIT_LIB_VERSION "6.5.0")
set(LIBKDEPIM_LIB_VERSION "6.5.0")
set(LIBKLEO_LIB_VERSION "6.5.0")
set(PIMCOMMON_LIB_VERSION "6.5.0")
set(GPGME_REQUIRED_VERSION "1.23.2")
set(AKONADI_SEARCH_VERSION "6.5.0")

set(OPENSSL_VERSION "3.0.0")

set(ECM_VERSION ${KF_MIN_VERSION})

find_package(ECM ${ECM_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${Messagelib_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
messagecomposer/*.cpp
messagecomposer/*.h
messagecore/*.cpp
messagecore/*.h
messagelist/*.cpp
messagelist/*.h
messageviewer/*.cpp
messageviewer/*.h
mimetreeparser/*.cpp
mimetreeparser/*.h
templateparser/*.cpp
templateparser/*.h
webengineviewer/*.cpp
webengineviewer/*.h
)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddTests)
include(ECMAddQch)

include(ECMCheckOutboundLicense)
file(GLOB_RECURSE ALL_SOURCE_FILES
messagecomposer/*.cpp
messagecomposer/*.h
messagecore/*.cpp
messagecore/*.h
messagelist/*.cpp
messagelist/*.h
messageviewer/*.cpp
messageviewer/*.h
mimetreeparser/*.cpp
mimetreeparser/*.h
templateparser/*.cpp
templateparser/*.h
webengineviewer/*.cpp
webengineviewer/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})


set(KTEXTADDONS_MIN_VERSION "1.6.0")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Gui Test)
find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Network PrintSupport WebEngineWidgets)

find_package(KF6CoreAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6NewStuff ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(Gpgmepp ${GPGME_REQUIRED_VERSION} CONFIG REQUIRED)
find_package(QGpgmeQt6 ${GPGME_REQUIRED_VERSION} CONFIG REQUIRED)
find_package(KF6Archive ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Completion ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ItemViews ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6JobWidgets ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Service ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Sonnet ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextWidgets ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6SyntaxHighlighting ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6GuiAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Notifications ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ColorScheme ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextTemplate CONFIG REQUIRED)

find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiMime ${AKONADIMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiContactWidgets ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6GrantleeTheme ${GRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Gravatar ${GRAVATAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6IdentityManagementWidgets ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkleo ${LIBKLEO_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Mbox ${KMBOX_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6TextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)

find_package(KF6TextEditTextToSpeech ${KTEXTADDONS_MIN_VERSION} CONFIG)
if(TARGET KF6::TextEditTextToSpeech)
    add_definitions(-DHAVE_KTEXTADDONS_TEXT_TO_SPEECH_SUPPORT)
endif()

find_package(KF6TextAutoCorrectionWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)

find_package(KF6TextUtils ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextCustomEditor ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)

option(FORCE_DISABLE_AKONADI_SEARCH "Disable features and API that require akonadi-search, e.g. because xapian isn't available" OFF)
if(UNIX)
    if(NOT FORCE_DISABLE_AKONADI_SEARCH)
        find_package(KPim6AkonadiSearch ${AKONADI_SEARCH_VERSION} CONFIG REQUIRED)
        set_package_properties(KPim6AkonadiSearch PROPERTIES DESCRIPTION "The Akonadi Search libraries" URL "https://invent.kde.org/pim/akonadi-search" TYPE REQUIRED PURPOSE "Provides search capabilities in KMail and Akonadi")
    endif()
else()
    if(NOT FORCE_DISABLE_AKONADI_SEARCH)
        find_package(KPim6AkonadiSearch ${AKONADI_SEARCH_VERSION} CONFIG)
        set_package_properties(KPim6AkonadiSearch PROPERTIES DESCRIPTION "The Akonadi Search libraries" URL "https://invent.kde.org/pim/akonadi-search" TYPE OPTIONAL PURPOSE "Provides search capabilities in KMail and Akonadi")
    endif()
endif()

if(NOT KPim6AkonadiSearch_FOUND)
    set(FORCE_DISABLE_AKONADI_SEARCH TRUE)
endif()

find_package(OpenSSL ${OPENSSL_VERSION} REQUIRED)

ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
endif()

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

add_subdirectory(mimetreeparser)
add_subdirectory(messageviewer)
add_subdirectory(templateparser)
add_subdirectory(messagecomposer)
add_subdirectory(messagecore)
add_subdirectory(messagelist)
add_subdirectory(webengineviewer)

ecm_qt_install_logging_categories(
    EXPORT MESSAGELIB
    FILE messagelib.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
messagelib (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 12:00:12 +0100

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,15 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                git,
-               libakonadi-dev (>= 4:25.07.90~),
-               libakonadicontact-dev (>= 4:25.07.90~),
-               libakonadimime-dev (>= 4:25.07.90~),
-               libakonadisearch-dev (>= 4:25.07.90~),
+               libakonadi-dev (>= 4:25.08.0~),
+               libakonadicontact-dev (>= 4:25.08.0~),
+               libakonadimime-dev (>= 4:25.08.0~),
+               libakonadisearch-dev (>= 4:25.08.0~),
                libgpgme-dev (>= 1.21.0~),
                libgpgmepp-dev (>= 1.23.2~),
-               libgrantleetheme-dev (>= 25.07.90~),
-               libgravatar-dev (>= 4:25.07.90~),
-               libkdepim-dev (>= 4:25.07.90~),
+               libgrantleetheme-dev (>= 25.08.0~),
+               libgravatar-dev (>= 4:25.08.0~),
+               libkdepim-dev (>= 4:25.08.0~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
@@ -41,14 +41,14 @@
                libkf6textwidgets-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.07.90~),
-               libkleo-dev (>= 4:25.07.90~),
-               libkmailtransport-dev (>= 25.07.90~),
-               libkmbox-dev (>= 25.07.90~),
-               libkmime-dev (>= 25.07.90~),
-               libkpimtextedit-dev (>= 25.07.90~),
+               libkidentitymanagement-dev (>= 25.08.0~),
+               libkleo-dev (>= 4:25.08.0~),
+               libkmailtransport-dev (>= 25.08.0~),
+               libkmbox-dev (>= 25.08.0~),
+               libkmime-dev (>= 25.08.0~),
+               libkpimtextedit-dev (>= 25.08.0~),
                libktextaddons-dev (>= 1.5.4~),
-               libpimcommon-dev (>= 4:25.07.90~),
+               libpimcommon-dev (>= 4:25.08.0~),
                libqca-qt6-dev (>= 2.3.7~),
                libqgpgmeqt6-dev (>= 1.23.2~),
                libssl-dev (>= 3.0.0~),
@@ -77,13 +77,13 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:25.07.90~),
-         libakonadimime-dev (>= 4:25.07.90~),
+Depends: libakonadi-dev (>= 4:25.08.0~),
+         libakonadimime-dev (>= 4:25.08.0~),
          libkf6contacts-dev (>= 6.6.0~),
          libkf6service-dev (>= 6.6.0~),
-         libkidentitymanagement-dev (>= 25.07.90~),
-         libkleo-dev (>= 4:25.07.90~),
-         libkmime-dev (>= 25.07.90~),
+         libkidentitymanagement-dev (>= 25.08.0~),
+         libkleo-dev (>= 4:25.08.0~),
+         libkmime-dev (>= 25.08.0~),
          libkpim6messagecomposer6 (= ${binary:Version}),
          libkpim6messagecore6 (= ${binary:Version}),
          libkpim6messagelist6 (= ${binary:Version}),
@@ -92,7 +92,7 @@
          libkpim6templateparser6 (= ${binary:Version}),
          libkpim6webengineviewer6 (= ${binary:Version}),
          libktextaddons-dev (>= 1.5.4~),
-         libpimcommon-dev (>= 4:25.07.90~),
+         libpimcommon-dev (>= 4:25.08.0~),
          qt6-webengine-dev (>= 6.7.0~),
          ${misc:Depends},
 Description: KDE PIM messaging library - development files
